package new_mobile_api_controllers

import "github.com/astaxie/beego"

func StatisticsAPIControllersRegisterRouters() {

	//化验指标
	beego.Router("/m/api/inspectionindex/init", &IndexEvaluationApiController{}, "Get:GetLaboratoryIndexInitData")
	beego.Router("/m/api/rangevalue/get", &IndexEvaluationApiController{}, "Get:GetLaboratoryIndexProjectRangeValueData")
	beego.Router("/m/api/inspectionindex/chart", &IndexEvaluationApiController{}, "Get:GetInspectionChartData")
	beego.Router("/m/api/inspectionindex/table", &IndexEvaluationApiController{}, "Get:GetInspectionChartTableData")
	beego.Router("/m/api/patientinspectionindex/chart", &IndexEvaluationApiController{}, "Get:GetPatientInspectionChartData")
	beego.Router("/m/api/patientinspectionindex/barchart", &IndexEvaluationApiController{}, "Get:GetPatientInspectionBarChartData")

	beego.Router("/m/api/dialysisprocessindex/chart", &IndexEvaluationApiController{}, "Get:GetDialysisProcessIndexChartData")
	beego.Router("/m/api/dialysisprocessindex/table", &IndexEvaluationApiController{}, "Get:GetDialysisProcessIndexTableData")

	beego.Router("/m/api/dialysiswatch/chart", &IndexEvaluationApiController{}, "Get:GetDialysisWatchChartData")
	beego.Router("/m/api/dialysiswatch/table", &IndexEvaluationApiController{}, "Get:GetDialysisWatchTableData")

	beego.Router("/m/api/dialysisbloodpressure/chart", &IndexEvaluationApiController{}, "Get:GetDialysisBloodPressureChartData")
	beego.Router("/m/api/dialysisbloodpressure/table", &IndexEvaluationApiController{}, "Get:GetDialysisBloodPressureTableData")
	beego.Router("/m/api/patientdialysisbloodpressure/chart", &IndexEvaluationApiController{}, "Get:GetDialysisPatientBloodPressureChartData")

	beego.Router("/m/api/dialysisweight/chart", &IndexEvaluationApiController{}, "Get:GetDialysisWeightChartData")
	beego.Router("/m/api/dialysisweight/table", &IndexEvaluationApiController{}, "Get:GetDialysisWeightTableData")
	beego.Router("/m/api/patientdialysisweight/chart", &IndexEvaluationApiController{}, "Get:GetDialysisPatientWeightChartData")

	beego.Router("/m/api/doctorworkload/chart", &IndexEvaluationApiController{}, "Get:GetDoctorWorkloadChartData")
	beego.Router("/m/api/doctorworkload/table", &IndexEvaluationApiController{}, "Get:GetDoctorWorkloadTableData")

	beego.Router("/m/api/nurseworkload/chart", &IndexEvaluationApiController{}, "Get:GetNurseWorkloadChartData")
	beego.Router("/m/api/nurseworkload/table", &IndexEvaluationApiController{}, "Get:GetNurseWorkloadTableData")

	beego.Router("/m/api/adminuser/all", &IndexEvaluationApiController{}, "Get:GetAdminUser")
	beego.Router("/m/api/defalutpatient/get", &IndexEvaluationApiController{}, "Get:GetDefaultPatient")

	beego.Router("/m/api/patients/get", &IndexEvaluationApiController{}, "Get:GetAllPatients")

	beego.Router("/m/api/stock/get", &ManagementAnalyseApiController{}, "Get:StockRecordPrintData")
	beego.Router("/m/api/patientlapseto/chart", &ManagementAnalyseApiController{}, "Get:StatisticsPatientChart")
	beego.Router("/m/api/patientlapseto/table", &ManagementAnalyseApiController{}, "Get:StatisticsPatientTable")

}
